Bug 1127886 - [RFE] As a Satellite administrator, I should be able to manage the configuration of my Satellite through my Satellite.
Summary: [RFE] As a Satellite administrator, I should be able to manage the configurat...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:34 UTC by Eric Helms
Modified: 2017-11-02 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-02 17:22:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15901 None None None 2016-07-29 14:23:00 UTC

Description Eric Helms 2014-08-07 18:34:56 UTC
Currently:

Satellite is installed via an installation script that wraps and applies a series of puppet modules. The state of the installation is then stored in an answers file. If a user wishes to change a configuration value they must re-run the installer from the command line and specify the option that they wish to change.

Goal:

A Satellite administrator should be able to manage the Satellite itself the same way that any other host's configuration is managed. In other words, as an administrator I should be able to import (or have imported for me) the puppet modules that configured my server initially. Further, the state of the server (i.e. the values in the answer files) should be present as the currently set values. This would allow me to make changes and apply configuration updates to the server via the UI/API as if I managing any other host.

Note: The above scenario, of importing the installation modules, works and is strategy employed in upstream Foreman today. There is no importing of the answers file, or automated way of having this setup for the user, however.

Action Items:

 * Ensure (and update where needed) all installation puppet modules are properly written to be used from a Puppetmaster
   - This should mostly be the modules Katello adds on top of the base Foreman set
 * Add ability to import answers file
   - CLI/API
   - UI?
 * Design strategy for importing puppet modules from installer into Satellite at installation (initially could be manual or button push by administrator)
 * Define to what degree a Satellite should be able to manage itself once installed (configuration, content, updates, etc.)

General Comment:

The above strategy might be considered for deploying Capsules and general use when deploying other applications via Satellite workflows that use a Kafo based installation.

Comment 3 Stephen Benjamin 2016-07-29 14:22:59 UTC
Created redmine issue http://projects.theforeman.org/issues/15901 from this bug

Comment 4 Bryan Kearney 2017-11-02 17:21:34 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Bryan Kearney 2017-11-02 17:22:09 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.